Skip to main content

Update Application: Entrata

PUThttps://api.propexo.com/v1/applications/entrata/:application_id
Method
applications/updateApplication
leases/sendLeaseDocuments
leads/updateLeads

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

application_id stringrequired

The Propexo unique identifier for the application

Request​

This endpoint expects an object.

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    lease_period_idstring

    The Propexo unique identifier for the lease period

    unit_idstring

    The Propexo unique identifier for the unit

    lead_source_idstring

    The Propexo unique identifier for the lead source

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    application_statusstring

    The status associated with the application

    Show 2 enum values
    COMPLETEDAPPROVED
    attachments object[]

    Files to upload for the applicant. All the files can have a maximum combined file size of 50 MB

  • Array [
  • file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

    lease_file_typestring

    Deprecated: Use the file_type_id field instead. The PMS specific lease file type of the document

    file_type_idstring

    The Propexo file type ID of the lease file type to upload. Prefer this over the raw input of the lease_file_type.

    is_privateboolean

    If the file should be marked as private. If true the file will not be shown in the resident portal.

  • ]
  • citystring

    The city associated with the applicant

    create_new_events_onlyboolean | string

    Whether or not new events should be created on the applicant

    Show 2 variants
    • boolean
    • string
    date_of_birthstring<date-time>

    The date of birth associated with the applicant

    email_1string<email>

    The primary email address associated with the applicant

    events object[]deprecated

    DEPRECATED: Please use /events endpoints to write events. Array of events associated with this applicant

  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired

    The PMS id for the event type.

    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]
  • first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    move_in_datestring<date-time>

    The move-in date associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_1string

    Primary phone number associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    pets object[]

    Pets of the applicant

  • Array [
  • pet_type_idstringrequired

    The Propexo unique identifier for the pet type

    age_in_yearsinteger

    The age in years of the applicant pet

    Possible values: >= 0

    namestring

    The name associated with the applicant pet

    breedstring

    The breed of the applicant pet

    genderstring

    The gender of the applicant pet

    colorstring

    The color of the applicant pet

    weight_in_poundsinteger

    The weight in pounds of the applicant pet

    Possible values: >= 0

    descriptionstring

    Description of the applicant pet

    license_citystring

    The city where the applicant pet license was issued

    license_numberstring

    The license number of the applicant pet

    is_service_animalboolean

    Whether the applicant pet is a service animal

    is_fixedboolean

    Whether the applicant pet is fixed

    pet_spayed_or_neutered_datestring

    The date when the applicant pet was spayed or neutered

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_house_brokenboolean

    Whether the applicant pet is house broken

    special_provisionsstring

    Special provisions or requirements for the applicant pet

  • ]
  • vehicles object[]

    Vehicles of the applicant

  • Array [
  • vehicle_typestringrequired

    The type associated with the applicant vehicle

    Show 3 enum values
    PRIMARYSECONDARYOTHER
    makestring

    The make of the applicant vehicle

    modelstring

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the applicant vehicle

    yearinteger

    The year of the applicant vehicle

    colorstring

    The color of the applicant vehicle

    license_plate_numberstring

    The license plate number of the applicant vehicle

    license_plate_statestring

    The state associated with the applicant vehicle

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    country_codestring

    The country associated with the applicant vehicle

    permit_numberstring

    The permit number of the applicant vehicle

    notesstring

    Notes associated with the applicant vehicle

  • ]
  • employment_history object[]

    Employment history of the applicant

  • Array [
  • income_typestringrequired

    The name associated with the income type

    Show 3 enum values
    CURRENT_EMPLOYERPREVIOUS_EMPLOYEROTHER_INCOME
    frequencystringrequired

    The frequency of the applicant employer

    Show 3 enum values
    WEEKLYMONTHLYYEARLY
    positionstring

    The position of the employee

    namestring

    The name associated with the applicant employer

    phonestring

    Primary phone number associated with the applicant employer

    address_1string

    The first address line associated with the applicant employer

    address_2string

    The second address line associated with the applicant employer

    address_3string

    The third address line associated with the applicant employer

    citystring

    The city associated with the applicant employer

    statestring

    The state associated with the applicant employer

    provincestring

    The province associated with the applicant employer

    zipstring

    The zip code associated with the applicant employer

    countrystring

    The country associated with the applicant employer

    income_in_centsinteger

    The total income of the employee, in cents

    Possible values: >= 0

    supervisor_first_namestring

    The name associated with the employee

    supervisor_last_namestring

    The name associated with the employee

    supervisor_phonestring

    Primary phone number associated with the employee

    supervisor_emailstring

    The primary email address associated with the employee

    income_effective_datestring

    The effective date of the income of the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestring

    The start date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
  • ]
  • add_ons object[]

    Add-ons of the applicant

  • Array [
  • rentable_item_idstringrequired

    The Propexo unique identifier for the rentable item

    employee_idstringrequired

    The Propexo unique identifier for the employee

    start_datestring

    The start date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    application_idstringrequired

    The Propexo unique identifier for the application

    lease_period_idstring

    The Propexo unique identifier for the lease period

    unit_idstring

    The Propexo unique identifier for the unit

    lead_source_idstring

    The Propexo unique identifier for the lead source

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    application_statusstring

    The status associated with the application

    Show 2 enum values
    COMPLETEDAPPROVED
    attachments object[]
  • Array [
  • file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

    lease_file_typestringdeprecated

    Deprecated: Use the file_type_id field instead. The PMS specific lease file type of the document

    file_type_idstring

    The Propexo file type ID of the lease file type to upload. Prefer this over the raw input of the lease_file_type.

    is_privateboolean

    If the file should be marked as private. If true the file will not be shown in the resident portal.

  • ]
  • citystring

    The city associated with the applicant

    create_new_events_onlyboolean | string

    Whether or not new events should be created on the applicant

    Show 2 variants
    • boolean
    • string
    date_of_birthstring<date-time>

    The date of birth associated with the applicant

    email_1string<email>

    The primary email address associated with the applicant

    events object[]
  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired
    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]
  • first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    move_in_datestring<date-time>

    The move-in date associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_1string

    Primary phone number associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    pets object[]
  • Array [
  • pet_type_idstringrequired

    The Propexo unique identifier for the pet type

    age_in_yearsinteger

    The age in years of the applicant pet

    Possible values: >= 0

    namestring

    The name associated with the applicant pet

    breedstring

    The breed of the applicant pet

    genderstring

    The gender of the applicant pet

    colorstring

    The color of the applicant pet

    weight_in_poundsinteger

    The weight in pounds of the applicant pet

    Possible values: >= 0

    descriptionstring

    Description of the applicant pet

    license_citystring

    The city where the applicant pet license was issued

    license_numberstring

    The license number of the applicant pet

    is_service_animalboolean

    Whether the applicant pet is a service animal

    is_fixedboolean

    Whether the applicant pet is fixed

    pet_spayed_or_neutered_datestring

    The date when the applicant pet was spayed or neutered

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_house_brokenboolean

    Whether the applicant pet is house broken

    special_provisionsstring

    Special provisions or requirements for the applicant pet

  • ]
  • vehicles object[]
  • Array [
  • vehicle_typestringrequired

    The type associated with the applicant vehicle

    Show 3 enum values
    PRIMARYSECONDARYOTHER
    makestring

    The make of the applicant vehicle

    modelstring

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the applicant vehicle

    yearinteger

    The year of the applicant vehicle

    colorstring

    The color of the applicant vehicle

    license_plate_numberstring

    The license plate number of the applicant vehicle

    license_plate_statestring

    The state associated with the applicant vehicle

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    country_codestring

    The country associated with the applicant vehicle

    permit_numberstring

    The permit number of the applicant vehicle

    notesstring

    Notes associated with the applicant vehicle

  • ]
  • employment_history object[]
  • Array [
  • income_typestringrequired

    The name associated with the income type

    Show 3 enum values
    CURRENT_EMPLOYERPREVIOUS_EMPLOYEROTHER_INCOME
    frequencystringrequired

    The frequency of the applicant employer

    Show 3 enum values
    WEEKLYMONTHLYYEARLY
    positionstring

    The position of the employee

    namestring

    The name associated with the applicant employer

    phonestring

    Primary phone number associated with the applicant employer

    address_1string

    The first address line associated with the applicant employer

    address_2string

    The second address line associated with the applicant employer

    address_3string

    The third address line associated with the applicant employer

    citystring

    The city associated with the applicant employer

    statestring

    The state associated with the applicant employer

    provincestring

    The province associated with the applicant employer

    zipstring

    The zip code associated with the applicant employer

    countrystring

    The country associated with the applicant employer

    income_in_centsinteger

    The total income of the employee, in cents

    Possible values: >= 0

    supervisor_first_namestring

    The name associated with the employee

    supervisor_last_namestring

    The name associated with the employee

    supervisor_phonestring

    Primary phone number associated with the employee

    supervisor_emailstring

    The primary email address associated with the employee

    income_effective_datestring

    The effective date of the income of the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestring

    The start date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
  • ]
  • add_ons object[]
  • Array [
  • rentable_item_idstringrequired

    The Propexo unique identifier for the rentable item

    employee_idstringrequired

    The Propexo unique identifier for the employee

    start_datestring

    The start date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applications/entrata/:application_id
curl -X PUT https://api.propexo.com/v1/applications/entrata/:application_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"applicant_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"applicant_id": "string",
"application_id": "string",
"lease_period_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"address_1": "string",
"address_2": "string",
"application_status": "COMPLETED",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"file_type_id": "string",
"is_private": true
}
],
"city": "string",
"create_new_events_only": true,
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "[email protected]",
"events": [
{
"unit_id": "string",
"x_type_id": "string",
"x_leasing_agent_id": "string",
"x_sub_type_id": "string",
"x_result_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"appointment_datetime": "2024-07-29T15:51:28.071Z",
"time_from": "string",
"time_to": "string",
"notes": "string",
"title": "string",
"reasons_for_event": "string",
"id": "string"
}
],
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"phone_1_type": "HOME",
"phone_1": "string",
"state": "string",
"zip": "string",
"pets": [
{
"pet_type_id": "string",
"age_in_years": 0,
"name": "string",
"breed": "string",
"gender": "string",
"color": "string",
"weight_in_pounds": 0,
"description": "string",
"license_city": "string",
"license_number": "string",
"is_service_animal": true,
"is_fixed": true,
"pet_spayed_or_neutered_date": "2024-07-29T15:51:28.071Z",
"is_house_broken": true,
"special_provisions": "string"
}
],
"vehicles": [
{
"vehicle_type": "PRIMARY",
"make": "string",
"model": "string",
"year": 0,
"color": "string",
"license_plate_number": "string",
"license_plate_state": "AA",
"country_code": "string",
"permit_number": "string",
"notes": "string"
}
],
"employment_history": [
{
"income_type": "CURRENT_EMPLOYER",
"frequency": "WEEKLY",
"position": "string",
"name": "string",
"phone": "string",
"address_1": "string",
"address_2": "string",
"address_3": "string",
"city": "string",
"state": "string",
"province": "string",
"zip": "string",
"country": "string",
"income_in_cents": 0,
"supervisor_first_name": "string",
"supervisor_last_name": "string",
"supervisor_phone": "string",
"supervisor_email": "string",
"income_effective_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}
],
"add_ons": [
{
"rentable_item_id": "string",
"employee_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}
]
}
}